@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700&family=Open+Sans&display=swap');

html {
    font-family: 'Montserrat', sans-serif !important;
}
body {
    font-family: 'Montserrat', sans-serif !important;
}
.table{width: 100% !important;}
.card{width: 100%;}
.card-body.card-body-dashboard{flex: 1 1 auto; padding: 0.75rem !important;}
.cord-padding{margin-top:5% !important; margin-bottom:5% !important;}
.file-upload{opacity: 0;position: absolute;left: 30%;}
.edit-file{opacity: 0;position: absolute;left:0;}
.color-correct{color:#495057 !important;}
.padding-15{padding-top: 15px !important; padding-bottom: 15px !important;}
.td-overscroll { overflow-x: scroll; }
.alert-message-error { color:red; }
.align-left {text-align: left;}
.content { align-items: normal !important; }
.form-select {cursor: pointer !important;}
.form-check-input {cursor: pointer !important;}

.hover-pointer {
    cursor: pointer !important;
}

.hover-pointer tr {
    cursor: pointer !important;
}

.footer-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.footer-logo-container, .footer-ghost-container {
  flex: 0 0 128px; /* Width of the logo and the ghost element */
  height: 50px; /* Height of the logo and the ghost element */
}

.footer-text-container {
  flex-grow: 1;
  text-align: center;
}

.footer-logo {
  max-width: 128px;
  max-height: 128px;
  width: auto; /* Adjusts width automatically to maintain aspect ratio */
  height: auto; /* Adjusts height automatically to maintain aspect ratio */
}


/* Makes the ghost element invisible */
.footer-ghost-container {
  visibility: hidden;
}


.ag-header-cell-text {
  text-transform: capitalize;
}

.sidebar, body[data-theme=dark] .sidebar {
    background: #1B3C5F !important;
}

.note-card {
    border-radius: 25px;
    box-shadow: 0 0 0.875rem 0 rgb(33 37 41 / 10%);
}

th {
    font-weight: 400 !important;
}

th.dtfc-fixed-left {
  background-color:white;
  z-index: 999;
}

.permissionsTable td:nth-of-type(1) {
  background-color:white;
  z-index: 999;
}

.permissionsTable td:nth-of-type(2) {
  background-color:white;
  z-index: 999;
}

/*start of dynamic sidebar*/

/* :root {
  --primary-color: #1B3C5F;
  --secondary-color: #EBB12B;
  --tertiary-color: #FFFFFF;
} */

.sidebar-content,
.sidebar-link, a.sidebar-link {
  background: var(--primary-color)  !important;
  color: var(--tertiary-color);
}

a.sidebar-link:hover, .sidebar-link:hover .feather {
  color: var(--secondary-color) !important;
}

.sidebar-item.active .sidebar-link:hover i,
.sidebar-item.active .sidebar-link:hover svg,
.sidebar-item.active > .sidebar-link i,
.sidebar-item.active > .sidebar-link svg {
  color: var(--secondary-color);
}

.sidebar-item.active .sidebar-link:hover,
.sidebar-item.active > .sidebar-link {
  border-left-color: var(--secondary-color);
}

.sidebar-item.active .sidebar-link:hover,
.sidebar-item.active > .sidebar-link {
  color: var(--secondary-color) !important;
}

.sidebar-header, .sidebar-link i, .sidebar-link svg, a.sidebar-link i, a.sidebar-link svg {
  color: var(--quaternary-color);
}

/*end of dynamic colors*/

/*footer*/
p.mobile { display: none }
@media (max-width: 640px) {
    p.mobile { display: block }
    p.desktop { display: none }
}

/*quads*/
.quad {
    height: calc(50% - 24px);
}

/*spectrum*/
.sp-cf.sp-palette-row.sp-palette-row-selection {
  display: none;
}

/*loader*/
#cover-spin {
    position:fixed;
    width:100%;
    left:0;right:0;top:0;bottom:0;
    background-color: rgba(245,247,251,0.6);
    z-index:9999;
    display:none;
}

@-webkit-keyframes spin {
	from {-webkit-transform:rotate(0deg);}
	to {-webkit-transform:rotate(360deg);}
}

@keyframes spin {
	from {transform:rotate(0deg);}
	to {transform:rotate(360deg);}
}

#cover-spin::after {
    content:'';
    display:block;
    position:absolute;
    left:48%;top:40%;
    width:40px;height:40px;
    border-style:solid;
    border-color: #1B3C5F;
    border-top-color:transparent;
    border-width: 4px;
    border-radius:50%;
    -webkit-animation: spin .8s linear infinite;
    animation: spin .8s linear infinite;
}

/*barrel roll*/
@-webkit-keyframes roll {
from { -webkit-transform: rotate(0deg) }
to { -webkit-transform: rotate(360deg) }
}

@-moz-keyframes roll {
from { -moz-transform: rotate(0deg) }
to { -moz-transform: rotate(360deg) }
}

@keyframes roll {
from { transform: rotate(0deg) }
to { transform: rotate(360deg) }
}

/*DataTable search and button style*/
.left-col {
    width: 100%;
    text-align: right;
    padding-bottom: 10px;
}
 
.center-col {
    float: left;
    width: 50%;
}
 
.right-col {
    float: right;
    width: 50%;
}

@media (max-width: 550px) {
    .center-col {
        width: 100%;
        margin-bottom: 5px;
    }
    .right-col {
       width: 100%; 
    }
}

/*End DataTable search and button style*/

.input-field-dynamic {
    min-width: 135px !important;
}

.rag-red {
  color: lightcoral !important;
  font-weight: bold;
}
.rag-green {
  color: lightgreen !important;
  font-weight: bold;
}
.rag-amber {
  color: lightsalmon !important;
  font-weight: bold;
}
.rag-blue {
  color: #6495ED !important;
  font-weight: bold;
}
.rag-purple {
  color: #CE9DD9 !important;
  font-weight: bold;
}

.rag-bg-red {
  background-color: lightcoral !important;
  color: white !important;
  font-weight: bold;
}
.rag-bg-green {
  background-color: lightgreen !important;
  color: white !important;
  font-weight: bold;
}
.rag-bg-amber {
  background-color: lightsalmon !important;
  color: white !important;
  font-weight: bold;
}
.rag-bg-blue {
  background-color: #6495ED !important;
  color: white !important;
  font-weight: bold;
}
.rag-bg-purple {
  background-color: #CE9DD9 !important;
  color: white !important;
  font-weight: bold;
}

/* Fake Checkboxes */
.fake-checkbox {
  width: 16px;  /* Reduced size */
  height: 16px; /* Reduced size */
  border: 1px solid #ccc;
  cursor: pointer;
  position: relative;
}

.fake-checkbox[data-checked="true"] {
  background-color: #3B7DDD !important;
}

.fake-checkbox[data-checked="true"]::before {
  content: "";
  position: absolute;
  width: 4px;  /* Further reduced size */
  height: 7px; /* Further reduced size */
  border: solid white;
  border-width: 0 2px 2px 0;
  top: 50%;   /* Center vertically */
  left: 50%;  /* Center horizontally */
  transform: translate(-50%, -50%) rotate(45deg);
}

.master-fake-checkbox {
  float: right;
}